[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFields.Fields

Indexed access to the fields in the list

## Declaration

Source position: db.pas line 1161

`public property TFields.Fields[Index: Integer] : TField read GetField write SetField; default;`

## Description

Fields is the default property of the TFields class. It provides indexed access to the fields in the list: the index runs from 0 to Count-1.

## Errors

Providing an index outside the allowed range will result in an EListError exception.

## See also

TFields.FieldByName |  | Find a field based on its name